#
# spec file for package ipxrip
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ipxrip
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Routing
Provides:       ipxripd
Version:        0.7
Release:        1017.1
Summary:        IPX Routing Daemon
Source:         ipxripd-%{version}.tar.bz2
Source1:        ipxd.service
Patch0:         ipxripd-%{version}.dif
Patch1:         ipxripd-%{version}-axp.dif
Patch2:         ipxripd-%{version}-secfix.dif
Patch3:         ipxripd-%{version}-2.6kernel-fix.diff
%{?systemd_requires}
BuildRequires:  systemd-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an RIP/SAP daemon for Linux. With this daemon, you can turn
your Linux machine into an IPX router.

%prep
%setup -n ipxripd
%patch0
%patch1
%patch2
%patch3

%build
make

%install
make DESTDIR=%{buildroot} install
install -d %{buildroot}/%{_unitdir}
install -m 744 %{S:1} %{buildroot}/%{_unitdir}/ipxrip.service
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rc%{name}
install -d %{buildroot}%{_sysconfdir}
install -m 644 ipx_ticks %{buildroot}/%{_sysconfdir}

%pre
%service_add_pre ipxrip.service

%post
%service_add_post ipxrip.service

%preun
%service_del_preun ipxrip.service

%postun
%service_del_postun ipxrip.service

%files
%defattr(-,root,root)
%doc README COPYING
%doc %{_mandir}/man?/*
%{_sbindir}/*
%{_unitdir}/ipxrip.service
%config(noreplace) %{_sysconfdir}/ipx_ticks

%changelog
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Fri Jul 18 2014 p.drouand@gmail.com
- Drop sysvinit dependency
- Use systemd instead of sysvinit
- Clean up spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Fri Nov 19 2004 postadal@suse.cz
- fixed to work with kernel 2.6 [#47095]
* Mon Aug 25 2003 postadal@suse.cz
- use new stop_on_removal/restart_on_upate macros
* Tue Aug 27 2002 postadal@suse.cz
- fixed a format string bug in ipxripd that is potentially exploitable
  by attackers on the local network [#18330]
* Fri Aug 16 2002 postadal@suse.cz
- added %%insserv_prereq and %%fillup_prereq to PreReq [#17795]
* Wed Aug 14 2002 poeml@suse.de
- fix comment in init script
* Sat Jul 27 2002 adrian@suse.de
- do not source rc.config anymore
* Mon Dec 10 2001 cihlar@suse.cz
- removed START_IPXRIP
* Tue Jul 24 2001 cihlar@suse.cz
- fixed to compile on axp
* Fri Jun 29 2001 cihlar@suse.cz
- clean up spec file
- added init script
- fixed includes
- fixed Copyright
- compile with RPM_OPT_FLAGS
- added BuildRoot
* Tue Apr 10 2001 ro@suse.de
- added group tag
* Sat Mar  4 2000 uli@suse.de
- moved man pages to /usr/share
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 ro@suse.de
- ipxkern: use correct include for glibc
* Sat Oct  3 1998 ro@suse.de
- ipxripd: dont include linux/ipx for glibc
- ipxd: moved initialisation of FILE* log_file into main
